`include "traffic.v"

module test();
reg clk,clr;
wire [5:0] lights;

traffic fsm(clk, clr, lights);



initial begin
    $dumpfile("test.vcd");
    $dumpvars(0,test);
    clr = 1'b0;
    clk = 1'b0;
    $monitor("TIME = %d, reset = %b, lights = %6b",$time,clr,lights);

    #1 clr = 1;
    #2 clr = 0;
    #500 $finish;
end

always
    #1 clk = ~clk;

endmodule
